
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest12 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test001"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("on", "hi!", "off", "yes");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test002"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)true, "on", "true", "hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "on"+ "'", str4.equals("on"));

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test003"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)false, "hi!", "no", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "no"+ "'", str4.equals("no"));

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test004"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("no", "off", "true", "no");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(b4);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test005"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)100, (java.lang.Integer)1, (java.lang.Integer)1, (java.lang.Integer)0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test006"); }


    java.lang.Integer i2 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)(-1), (java.lang.Integer)10, i2, (java.lang.Integer)10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test007"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("off", "false", "no", "off");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(b4);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test008"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)false, "true", "", "false");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test009"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("hi!", "hi!", "on", "yes");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + true+ "'", b4.equals(true));

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test010"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject(100, 10, (-1), (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test011"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("hi!", "", "", "yes");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test012"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("true", "no", "hi!", "off");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test013"); }


    java.lang.Boolean b0 = null;
    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString(b0, "hi!", "", "true");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "true"+ "'", str4.equals("true"));

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test014"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)10, (java.lang.Integer)0, (java.lang.Integer)100, (java.lang.Integer)10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(b4);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test015"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("no", "", "hi!", "yes");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test016"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("on", "yes", "off", "off");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test017"); }


    java.lang.Integer i3 = null;
    java.lang.Integer i4 = org.apache.commons.lang.BooleanUtils.toIntegerObject((java.lang.Boolean)false, (java.lang.Integer)100, (java.lang.Integer)(-1), i3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + i4 + "' != '" + (-1)+ "'", i4.equals((-1)));

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test018"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)(-1), (java.lang.Integer)100, (java.lang.Integer)(-1), (java.lang.Integer)(-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test019"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("no", "false", "yes", "");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test020"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((-1), 1, (-1), 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test021"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject(100, 100, 100, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + true+ "'", b4.equals(true));

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test022"); }


    java.lang.Integer i3 = null;
    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)10, (java.lang.Integer)10, (java.lang.Integer)(-1), i3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + true+ "'", b4.equals(true));

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test023"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("hi!", "true", "false", "true");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test024"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)0, (java.lang.Integer)0, (java.lang.Integer)10, (java.lang.Integer)10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + true+ "'", b4.equals(true));

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test025"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)0, (java.lang.Integer)10, (java.lang.Integer)100, (java.lang.Integer)10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test026"); }


    java.lang.Integer i2 = null;
    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)0, (java.lang.Integer)1, i2, (java.lang.Integer)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(b4);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test027"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("false", "false", "off", "on");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + true+ "'", b4.equals(true));

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test028"); }


    java.lang.Integer i1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)1, i1, (java.lang.Integer)0, (java.lang.Integer)10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test029"); }


    java.lang.Integer i3 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)100, (java.lang.Integer)1, (java.lang.Integer)10, i3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test030"); }


    java.lang.Boolean b0 = null;
    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString(b0, "yes", "off", "off");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "off"+ "'", str4.equals("off"));

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test031"); }


    java.lang.Integer i0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject(i0, (java.lang.Integer)1, (java.lang.Integer)100, (java.lang.Integer)100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test032"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)false, "no", "true", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "true"+ "'", str4.equals("true"));

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test033"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("yes", "hi!", "off", "hi!");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test034"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("on", "hi!", "", "false");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test035"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("false", "", "no", "on");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test036"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)false, "hi!", "false", "false");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "false"+ "'", str4.equals("false"));

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test037"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)true, "false", "hi!", "no");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "false"+ "'", str4.equals("false"));

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test038"); }


    java.lang.Integer i1 = null;
    java.lang.Integer i2 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)1, i1, i2, (java.lang.Integer)100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test039"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)false, "hi!", "yes", "on");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "yes"+ "'", str4.equals("yes"));

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test040"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("off", "hi!", "", "yes");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test041"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)false, "yes", "no", "false");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "no"+ "'", str4.equals("no"));

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test042"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("off", "", "on", "");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test043"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("no", "no", "hi!", "true");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + true+ "'", b4.equals(true));

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test044"); }


    java.lang.Integer i2 = null;
    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)(-1), (java.lang.Integer)1, i2, (java.lang.Integer)(-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(b4);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test045"); }


    java.lang.Integer i0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject(i0, (java.lang.Integer)100, (java.lang.Integer)10, (java.lang.Integer)(-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test046"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("no", "no", "hi!", "false");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + true+ "'", b4.equals(true));

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test047"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)true, "off", "false", "hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "off"+ "'", str4.equals("off"));

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test048"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("true", "off", "no", "");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test049"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("", "", "false", "off");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + true+ "'", b4.equals(true));

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test050"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("", "hi!", "on", "on");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test051"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)100, (java.lang.Integer)1, (java.lang.Integer)100, (java.lang.Integer)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test052"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)true, "hi!", "hi!", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test053"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("yes", "", "on", "false");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test054"); }


    java.lang.Boolean b0 = null;
    int i4 = org.apache.commons.lang.BooleanUtils.toInteger(b0, 1, 1, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test055"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("on", "false", "on", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test056"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)true, "yes", "false", "no");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "yes"+ "'", str4.equals("yes"));

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test057"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("on", "", "no", "on");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(b4);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test058"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("", "true", "false", "on");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test059"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("on", "true", "no", "false");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test060"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("false", "no", "off", "true");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test061"); }


    java.lang.Integer i1 = null;
    java.lang.Integer i2 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)10, i1, i2, (java.lang.Integer)0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test062"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("true", "hi!", "", "on");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test063"); }


    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.lang.BooleanUtils.toBoolean("hi!", "on", "");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test064"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject(100, (-1), (-1), (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test065"); }


    java.lang.Integer i0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject(i0, (java.lang.Integer)1, (java.lang.Integer)100, (java.lang.Integer)(-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test066"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("no", "true", "off", "");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test067"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("off", "", "true", "");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test068"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("true", "on", "true", "yes");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test069"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("true", "", "yes", "");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test070"); }


    java.lang.Integer i2 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)10, (java.lang.Integer)0, i2, (java.lang.Integer)1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test071"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("no", "hi!", "on", "yes");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test072"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("false", "false", "", "off");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + true+ "'", b4.equals(true));

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test073"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)false, "off", "true", "on");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "true"+ "'", str4.equals("true"));

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test074"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)false, "off", "", "true");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test075"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)(-1), (java.lang.Integer)10, (java.lang.Integer)0, (java.lang.Integer)1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test076"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("on", "yes", "no", "true");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test077"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)1, (java.lang.Integer)100, (java.lang.Integer)0, (java.lang.Integer)0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test078"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)true, "yes", "", "off");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "yes"+ "'", str4.equals("yes"));

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test079"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)true, "", "on", "true");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test080"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("true", "on", "yes", "");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test081"); }


    java.lang.Boolean b0 = null;
    java.lang.Integer i2 = null;
    java.lang.Integer i4 = org.apache.commons.lang.BooleanUtils.toIntegerObject(b0, (java.lang.Integer)10, i2, (java.lang.Integer)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + i4 + "' != '" + 100+ "'", i4.equals(100));

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test082"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("true", "yes", "yes", "");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test083"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)false, "hi!", "yes", "yes");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "yes"+ "'", str4.equals("yes"));

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test084"); }


    java.lang.Boolean b0 = null;
    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString(b0, "false", "", "true");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "true"+ "'", str4.equals("true"));

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test085"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("false", "on", "yes", "");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test086"); }


    java.lang.Integer i2 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)100, (java.lang.Integer)10, i2, (java.lang.Integer)(-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test087"); }


    java.lang.Integer i1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)100, i1, (java.lang.Integer)(-1), (java.lang.Integer)1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test088"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("no", "on", "no", "off");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test089"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)false, "no", "", "hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test090"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject(1, 100, 100, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(b4);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test091"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("off", "", "yes", "false");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test092"); }


    java.lang.Integer i0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject(i0, (java.lang.Integer)1, (java.lang.Integer)1, (java.lang.Integer)(-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test093"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("true", "no", "", "on");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test094"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("", "yes", "no", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(b4);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test095"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)false, "yes", "yes", "yes");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "yes"+ "'", str4.equals("yes"));

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test096"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)true, "on", "on", "false");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "on"+ "'", str4.equals("on"));

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test097"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("", "false", "hi!", "off");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test098"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)true, "", "yes", "yes");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test099"); }


    java.lang.Boolean b0 = null;
    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString(b0, "", "false", "on");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "on"+ "'", str4.equals("on"));

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test100"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("true", "false", "off", "yes");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test101"); }


    java.lang.Integer i0 = null;
    java.lang.Integer i2 = null;
    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject(i0, (java.lang.Integer)1, i2, (java.lang.Integer)10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test102"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("true", "true", "false", "true");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + true+ "'", b4.equals(true));

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test103"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("", "hi!", "on", "false");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test104"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)false, "true", "no", "true");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "no"+ "'", str4.equals("no"));

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test105"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("on", "on", "hi!", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + true+ "'", b4.equals(true));

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test106"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("no", "no", "yes", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + true+ "'", b4.equals(true));

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test107"); }


    java.lang.Integer i2 = null;
    java.lang.Integer i3 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)0, (java.lang.Integer)1, i2, i3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test108"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("on", "no", "false", "no");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test109"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("", "hi!", "", "false");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test110"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)false, "true", "on", "on");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "on"+ "'", str4.equals("on"));

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test111"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)false, "", "true", "no");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "true"+ "'", str4.equals("true"));

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test112"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)false, "on", "false", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "false"+ "'", str4.equals("false"));

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test113"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("off", "false", "true", "");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test114"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)0, (java.lang.Integer)1, (java.lang.Integer)1, (java.lang.Integer)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(b4);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test115"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("false", "yes", "hi!", "hi!");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test116"); }


    java.lang.Boolean b0 = null;
    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString(b0, "", "true", "off");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "off"+ "'", str4.equals("off"));

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test117"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("", "false", "true", "true");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test118"); }


    java.lang.Integer i3 = null;
    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)10, (java.lang.Integer)(-1), (java.lang.Integer)10, i3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test119"); }


    java.lang.Integer i2 = null;
    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)100, (java.lang.Integer)100, i2, (java.lang.Integer)(-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + true+ "'", b4.equals(true));

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test120"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("hi!", "on", "no", "true");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test121"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)10, (java.lang.Integer)(-1), (java.lang.Integer)1, (java.lang.Integer)1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test122"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("false", "hi!", "hi!", "no");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test123"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)false, "off", "false", "false");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "false"+ "'", str4.equals("false"));

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test124"); }


    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.lang.BooleanUtils.toBoolean("yes", "on", "no");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test125"); }


    java.lang.Boolean b0 = null;
    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString(b0, "off", "true", "no");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "no"+ "'", str4.equals("no"));

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test126"); }


    int i4 = org.apache.commons.lang.BooleanUtils.toInteger((java.lang.Boolean)false, (-1), 10, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 10);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test127"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)true, "no", "off", "on");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "no"+ "'", str4.equals("no"));

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test128"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("false", "on", "", "on");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test129"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("false", "true", "false", "hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test130"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("off", "true", "yes", "true");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test131"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("on", "hi!", "true", "");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test132"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("true", "true", "", "on");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + true+ "'", b4.equals(true));

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test133"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("", "", "false", "false");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + true+ "'", b4.equals(true));

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test134"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)0, (java.lang.Integer)10, (java.lang.Integer)(-1), (java.lang.Integer)1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test135"); }


    java.lang.Integer i1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)(-1), i1, (java.lang.Integer)0, (java.lang.Integer)10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test136"); }


    java.lang.Boolean b0 = null;
    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString(b0, "no", "", "off");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "off"+ "'", str4.equals("off"));

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test137"); }


    java.lang.Integer i3 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)1, (java.lang.Integer)(-1), (java.lang.Integer)10, i3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test138"); }


    java.lang.Integer i0 = null;
    java.lang.Integer i2 = null;
    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject(i0, (java.lang.Integer)100, i2, (java.lang.Integer)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test139"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject(10, (-1), 1, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test140"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("true", "yes", "off", "off");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test141"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)(-1), (java.lang.Integer)1, (java.lang.Integer)10, (java.lang.Integer)0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test142"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)false, "false", "false", "yes");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "false"+ "'", str4.equals("false"));

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test143"); }


    java.lang.Integer i1 = null;
    java.lang.Integer i3 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)10, i1, (java.lang.Integer)100, i3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test144"); }


    java.lang.Boolean b0 = null;
    java.lang.Integer i4 = org.apache.commons.lang.BooleanUtils.toIntegerObject(b0, (java.lang.Integer)(-1), (java.lang.Integer)10, (java.lang.Integer)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + i4 + "' != '" + 1+ "'", i4.equals(1));

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test145"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("off", "on", "", "false");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test146"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("", "false", "true", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(b4);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test147"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("yes", "on", "hi!", "hi!");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test148"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("true", "hi!", "no", "false");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test149"); }


    java.lang.Integer i0 = null;
    java.lang.Integer i1 = null;
    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject(i0, i1, (java.lang.Integer)1, (java.lang.Integer)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + true+ "'", b4.equals(true));

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test150"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("false", "off", "yes", "true");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test151"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("on", "false", "hi!", "hi!");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test152"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("on", "false", "on", "false");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test153"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("no", "off", "no", "hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test154"); }


    java.lang.Integer i0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject(i0, (java.lang.Integer)10, (java.lang.Integer)1, (java.lang.Integer)1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test155"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("on", "", "yes", "true");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test156"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("", "hi!", "yes", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(b4);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test157"); }


    java.lang.Integer i3 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)1, (java.lang.Integer)0, (java.lang.Integer)(-1), i3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test158"); }


    java.lang.Integer i3 = null;
    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)(-1), (java.lang.Integer)(-1), (java.lang.Integer)0, i3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + true+ "'", b4.equals(true));

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test159"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("no", "hi!", "", "on");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test160"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)false, "true", "yes", "on");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "yes"+ "'", str4.equals("yes"));

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test161"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)true, "on", "off", "on");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "on"+ "'", str4.equals("on"));

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test162"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("yes", "true", "off", "false");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test163"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("no", "", "off", "on");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test164"); }


    java.lang.Boolean b0 = null;
    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString(b0, "", "no", "false");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "false"+ "'", str4.equals("false"));

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test165"); }


    java.lang.Integer i0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject(i0, (java.lang.Integer)100, (java.lang.Integer)100, (java.lang.Integer)100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test166"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("true", "false", "yes", "off");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test167"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)true, "on", "false", "yes");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "on"+ "'", str4.equals("on"));

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test168"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("no", "on", "on", "");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test169"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)1, (java.lang.Integer)100, (java.lang.Integer)100, (java.lang.Integer)(-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test170"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("", "true", "hi!", "yes");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test171"); }


    java.lang.Integer i3 = null;
    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)1, (java.lang.Integer)0, (java.lang.Integer)1, i3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test172"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("hi!", "on", "yes", "on");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test173"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("no", "", "hi!", "true");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test174"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("yes", "false", "no", "on");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test175"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject(1, (-1), (-1), 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test176"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("no", "on", "hi!", "no");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(b4);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test177"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("", "on", "false", "no");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test178"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)false, "true", "hi!", "hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test179"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("", "true", "off", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(b4);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test180"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)false, "yes", "hi!", "yes");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test181"); }


    java.lang.Integer i3 = null;
    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)10, (java.lang.Integer)1, (java.lang.Integer)10, i3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test182"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("false", "", "off", "");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test183"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("", "yes", "no", "false");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test184"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("yes", "no", "off", "yes");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(b4);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test185"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("no", "", "true", "off");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test186"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)false, "yes", "hi!", "false");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test187"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("no", "off", "hi!", "");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test188"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)true, "", "on", "yes");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test189"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("", "off", "on", "yes");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test190"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("no", "on", "yes", "");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test191"); }


    java.lang.Integer i0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject(i0, (java.lang.Integer)1, (java.lang.Integer)10, (java.lang.Integer)100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test192"); }


    java.lang.Boolean b0 = null;
    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString(b0, "hi!", "on", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test193"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("hi!", "", "on", "on");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test194"); }


    java.lang.Integer i1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)10, i1, (java.lang.Integer)(-1), (java.lang.Integer)100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test195"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("no", "", "true", "false");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test196"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("true", "yes", "on", "no");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test197"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("false", "no", "true", "hi!");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test198"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("true", "no", "no", "");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test199"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)false, "hi!", "yes", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "yes"+ "'", str4.equals("yes"));

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test200"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("yes", "", "true", "false");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test201"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("hi!", "off", "true", "false");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test202"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("", "off", "no", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(b4);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test203"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)true, "", "off", "on");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test204"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("true", "", "false", "hi!");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test205"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("", "no", "hi!", "false");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test206"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("", "off", "false", "hi!");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test207"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("", "yes", "", "yes");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test208"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("false", "hi!", "off", "no");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test209"); }


    java.lang.Integer i3 = null;
    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)(-1), (java.lang.Integer)(-1), (java.lang.Integer)10, i3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + true+ "'", b4.equals(true));

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test210"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("true", "on", "no", "on");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test211"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("on", "no", "hi!", "true");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test212"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("no", "false", "hi!", "on");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test213"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("hi!", "on", "yes", "true");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test214"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)false, "on", "yes", "false");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "yes"+ "'", str4.equals("yes"));

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test215"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("off", "on", "false", "on");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test216"); }


    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.lang.BooleanUtils.toBoolean("true", "off", "on");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test217"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("on", "false", "no", "yes");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test218"); }


    java.lang.Boolean b0 = null;
    java.lang.Integer i4 = org.apache.commons.lang.BooleanUtils.toIntegerObject(b0, (java.lang.Integer)1, (java.lang.Integer)(-1), (java.lang.Integer)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + i4 + "' != '" + 0+ "'", i4.equals(0));

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test219"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject(100, (-1), (-1), 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test220"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("yes", "yes", "true", "on");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + true+ "'", b4.equals(true));

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test221"); }


    java.lang.Integer i0 = null;
    java.lang.Integer i1 = null;
    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject(i0, i1, (java.lang.Integer)1, (java.lang.Integer)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + true+ "'", b4.equals(true));

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test222"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)true, "no", "hi!", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "no"+ "'", str4.equals("no"));

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test223"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("false", "", "no", "off");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test224"); }


    java.lang.Integer i1 = null;
    java.lang.Integer i4 = org.apache.commons.lang.BooleanUtils.toIntegerObject((java.lang.Boolean)false, i1, (java.lang.Integer)0, (java.lang.Integer)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + i4 + "' != '" + 0+ "'", i4.equals(0));

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test225"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)false, "yes", "on", "off");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "on"+ "'", str4.equals("on"));

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test226"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("", "no", "", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test227"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("on", "false", "no", "true");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test228"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)false, "yes", "true", "no");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "true"+ "'", str4.equals("true"));

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test229"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("true", "", "off", "off");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test230"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("true", "on", "false", "false");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test231"); }


    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.lang.BooleanUtils.toBoolean("no", "true", "false");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test232"); }


    java.lang.Integer i1 = null;
    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)(-1), i1, (java.lang.Integer)(-1), (java.lang.Integer)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test233"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("false", "true", "no", "");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test234"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("off", "", "hi!", "");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test235"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)false, "true", "false", "on");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "false"+ "'", str4.equals("false"));

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test236"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("off", "no", "true", "");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test237"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("yes", "", "false", "yes");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(b4);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test238"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("", "true", "hi!", "true");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test239"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("off", "yes", "yes", "");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test240"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)false, "yes", "hi!", "true");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test241"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("", "yes", "yes", "false");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test242"); }


    java.lang.Integer i1 = null;
    java.lang.Integer i4 = org.apache.commons.lang.BooleanUtils.toIntegerObject((java.lang.Boolean)false, i1, (java.lang.Integer)0, (java.lang.Integer)(-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + i4 + "' != '" + 0+ "'", i4.equals(0));

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test243"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)false, "off", "yes", "no");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "yes"+ "'", str4.equals("yes"));

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test244"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("true", "no", "true", "hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test245"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("yes", "no", "no", "");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test246"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("off", "off", "no", "no");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + true+ "'", b4.equals(true));

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test247"); }


    java.lang.Integer i1 = null;
    java.lang.Integer i2 = null;
    java.lang.Integer i4 = org.apache.commons.lang.BooleanUtils.toIntegerObject((java.lang.Boolean)false, i1, i2, (java.lang.Integer)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(i4);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test248"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)false, "yes", "on", "true");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "on"+ "'", str4.equals("on"));

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test249"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("yes", "yes", "yes", "yes");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + true+ "'", b4.equals(true));

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test250"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)1, (java.lang.Integer)0, (java.lang.Integer)1, (java.lang.Integer)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test251"); }


    java.lang.Integer i1 = null;
    java.lang.Integer i4 = org.apache.commons.lang.BooleanUtils.toIntegerObject((java.lang.Boolean)true, i1, (java.lang.Integer)(-1), (java.lang.Integer)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(i4);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test252"); }


    java.lang.Boolean b0 = null;
    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString(b0, "hi!", "true", "false");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "false"+ "'", str4.equals("false"));

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test253"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("on", "true", "true", "hi!");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test254"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("on", "hi!", "on", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test255"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject(100, 1, 1, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(b4);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test256"); }


    int i4 = org.apache.commons.lang.BooleanUtils.toInteger((java.lang.Boolean)false, 1, (-1), (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test257"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("false", "true", "true", "off");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test258"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("yes", "true", "on", "false");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test259"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("", "no", "false", "true");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test260"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("no", "false", "no", "true");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test261"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)true, "false", "yes", "hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "false"+ "'", str4.equals("false"));

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test262"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("", "off", "off", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(b4);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test263"); }


    java.lang.Integer i1 = null;
    java.lang.Integer i2 = null;
    java.lang.Integer i4 = org.apache.commons.lang.BooleanUtils.toIntegerObject((java.lang.Boolean)true, i1, i2, (java.lang.Integer)(-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(i4);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test264"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("on", "yes", "true", "");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test265"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("false", "true", "yes", "");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test266"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("no", "off", "no", "off");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test267"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)true, "on", "yes", "false");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "on"+ "'", str4.equals("on"));

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test268"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("no", "no", "", "hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + true+ "'", b4.equals(true));

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test269"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("false", "", "false", "true");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test270"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("true", "true", "true", "false");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + true+ "'", b4.equals(true));

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test271"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("", "off", "false", "yes");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test272"); }


    java.lang.Integer i2 = null;
    java.lang.Integer i3 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)10, (java.lang.Integer)100, i2, i3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test273"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("yes", "no", "off", "hi!");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test274"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("no", "false", "hi!", "false");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test275"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("", "off", "true", "yes");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test276"); }


    java.lang.Integer i0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject(i0, (java.lang.Integer)0, (java.lang.Integer)(-1), (java.lang.Integer)10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test277"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("hi!", "true", "off", "");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test278"); }


    java.lang.Boolean b0 = null;
    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString(b0, "yes", "false", "true");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "true"+ "'", str4.equals("true"));

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test279"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)true, "no", "no", "off");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "no"+ "'", str4.equals("no"));

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test280"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("hi!", "yes", "hi!", "true");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test281"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("no", "yes", "no", "false");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test282"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)true, "true", "on", "true");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "true"+ "'", str4.equals("true"));

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test283"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("off", "false", "no", "hi!");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test284"); }


    java.lang.Boolean b0 = null;
    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString(b0, "true", "false", "off");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "off"+ "'", str4.equals("off"));

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test285"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("true", "false", "no", "off");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test286"); }


    java.lang.Integer i0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject(i0, (java.lang.Integer)10, (java.lang.Integer)1, (java.lang.Integer)(-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test287"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("hi!", "on", "true", "true");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test288"); }


    java.lang.Boolean b0 = null;
    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString(b0, "off", "false", "no");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "no"+ "'", str4.equals("no"));

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test289"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("true", "", "on", "false");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test290"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("on", "false", "", "no");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test291"); }


    java.lang.Integer i3 = null;
    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)0, (java.lang.Integer)(-1), (java.lang.Integer)0, i3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test292"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("yes", "", "hi!", "on");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test293"); }


    java.lang.Boolean b0 = null;
    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString(b0, "off", "no", "false");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "false"+ "'", str4.equals("false"));

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test294"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)false, "no", "false", "on");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "false"+ "'", str4.equals("false"));

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test295"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("false", "off", "no", "hi!");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test296"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("hi!", "false", "on", "false");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test297"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)10, (java.lang.Integer)100, (java.lang.Integer)0, (java.lang.Integer)1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test298"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("yes", "false", "", "");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test299"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject(100, 100, 1, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + true+ "'", b4.equals(true));

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test300"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)100, (java.lang.Integer)10, (java.lang.Integer)10, (java.lang.Integer)(-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test301"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("true", "yes", "true", "off");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test302"); }


    java.lang.Boolean b0 = null;
    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString(b0, "false", "yes", "no");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "no"+ "'", str4.equals("no"));

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test303"); }


    java.lang.Boolean b0 = null;
    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString(b0, "yes", "false", "yes");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "yes"+ "'", str4.equals("yes"));

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test304"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("off", "hi!", "true", "false");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test305"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("", "", "on", "on");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + true+ "'", b4.equals(true));

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test306"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("on", "off", "", "yes");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test307"); }


    java.lang.Integer i2 = null;
    java.lang.Integer i4 = org.apache.commons.lang.BooleanUtils.toIntegerObject((java.lang.Boolean)true, (java.lang.Integer)(-1), i2, (java.lang.Integer)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + i4 + "' != '" + (-1)+ "'", i4.equals((-1)));

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test308"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)100, (java.lang.Integer)0, (java.lang.Integer)0, (java.lang.Integer)10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test309"); }


    java.lang.Boolean b0 = null;
    int i4 = org.apache.commons.lang.BooleanUtils.toInteger(b0, 0, 100, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 10);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test310"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("on", "yes", "true", "on");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(b4);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test311"); }


    boolean b3 = org.apache.commons.lang.BooleanUtils.toBoolean("yes", "yes", "no");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test312"); }


    java.lang.Integer i1 = null;
    java.lang.Integer i2 = null;
    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)10, i1, i2, (java.lang.Integer)10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(b4);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test313"); }


    java.lang.Boolean b0 = null;
    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString(b0, "", "on", "no");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "no"+ "'", str4.equals("no"));

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test314"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject(10, (-1), 1, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(b4);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test315"); }


    java.lang.Boolean b0 = null;
    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString(b0, "yes", "", "yes");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "yes"+ "'", str4.equals("yes"));

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test316"); }


    java.lang.Boolean b0 = null;
    java.lang.Integer i4 = org.apache.commons.lang.BooleanUtils.toIntegerObject(b0, (java.lang.Integer)1, (java.lang.Integer)1, (java.lang.Integer)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + i4 + "' != '" + 1+ "'", i4.equals(1));

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test317"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)true, "no", "hi!", "off");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "no"+ "'", str4.equals("no"));

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test318"); }


    java.lang.Boolean b0 = null;
    java.lang.Integer i4 = org.apache.commons.lang.BooleanUtils.toIntegerObject(b0, (java.lang.Integer)0, (java.lang.Integer)(-1), (java.lang.Integer)(-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + i4 + "' != '" + (-1)+ "'", i4.equals((-1)));

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test319"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)0, (java.lang.Integer)10, (java.lang.Integer)(-1), (java.lang.Integer)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(b4);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test320"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("on", "", "", "on");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(b4);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test321"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)false, "", "on", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "on"+ "'", str4.equals("on"));

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test322"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("", "", "false", "yes");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + true+ "'", b4.equals(true));

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test323"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("no", "no", "no", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + true+ "'", b4.equals(true));

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test324"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("true", "", "no", "on");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test325"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("true", "on", "", "true");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(b4);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test326"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("", "off", "false", "off");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test327"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("hi!", "off", "", "false");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test328"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("no", "yes", "hi!", "true");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test329"); }


    java.lang.Integer i0 = null;
    java.lang.Integer i1 = null;
    java.lang.Integer i2 = null;
    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject(i0, i1, i2, (java.lang.Integer)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + true+ "'", b4.equals(true));

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test330"); }


    java.lang.Boolean b0 = null;
    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString(b0, "true", "", "hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test331"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)true, "on", "", "no");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "on"+ "'", str4.equals("on"));

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test332"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject(1, 0, (-1), 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test333"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("no", "", "no", "no");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test334"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("hi!", "", "on", "off");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test335"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("on", "true", "on", "on");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test336"); }


    java.lang.Boolean b0 = null;
    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString(b0, "off", "true", "hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test337"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("", "true", "no", "yes");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test338"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("true", "no", "on", "off");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test339"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)true, "false", "no", "false");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "false"+ "'", str4.equals("false"));

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test340"); }


    java.lang.Integer i3 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)100, (java.lang.Integer)10, (java.lang.Integer)(-1), i3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test341"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("no", "false", "true", "false");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test342"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)10, (java.lang.Integer)100, (java.lang.Integer)1, (java.lang.Integer)100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test343"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)false, "false", "off", "hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "off"+ "'", str4.equals("off"));

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test344"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("hi!", "true", "false", "");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test345"); }


    java.lang.Boolean b0 = null;
    int i4 = org.apache.commons.lang.BooleanUtils.toInteger(b0, 0, 0, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 10);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test346"); }


    java.lang.Boolean b0 = null;
    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString(b0, "true", "hi!", "off");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "off"+ "'", str4.equals("off"));

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test347"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("true", "no", "on", "hi!");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test348"); }


    java.lang.Integer i2 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)100, (java.lang.Integer)0, i2, (java.lang.Integer)10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test349"); }


    java.lang.Integer i3 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)(-1), (java.lang.Integer)100, (java.lang.Integer)1, i3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test350"); }


    java.lang.Integer i2 = null;
    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)(-1), (java.lang.Integer)(-1), i2, (java.lang.Integer)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + true+ "'", b4.equals(true));

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test351"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("false", "hi!", "hi!", "false");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(b4);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test352"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)10, (java.lang.Integer)10, (java.lang.Integer)1, (java.lang.Integer)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + true+ "'", b4.equals(true));

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test353"); }


    java.lang.Integer i1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)10, i1, (java.lang.Integer)0, (java.lang.Integer)1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test354"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)false, "", "true", "true");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "true"+ "'", str4.equals("true"));

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test355"); }


    java.lang.Integer i2 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)(-1), (java.lang.Integer)1, i2, (java.lang.Integer)1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test356"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("off", "on", "", "yes");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test357"); }


    java.lang.Boolean b0 = null;
    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString(b0, "true", "true", "on");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "on"+ "'", str4.equals("on"));

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test358"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("false", "no", "on", "");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test359"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("", "yes", "no", "hi!");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test360"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("false", "true", "false", "false");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test361"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("off", "", "", "");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test362"); }


    java.lang.Boolean b0 = null;
    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString(b0, "on", "yes", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test363"); }


    java.lang.Integer i2 = null;
    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)1, (java.lang.Integer)1, i2, (java.lang.Integer)10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + true+ "'", b4.equals(true));

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test364"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("on", "", "hi!", "hi!");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test365"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("false", "on", "yes", "true");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test366"); }


    java.lang.Integer i1 = null;
    java.lang.Integer i4 = org.apache.commons.lang.BooleanUtils.toIntegerObject((java.lang.Boolean)true, i1, (java.lang.Integer)10, (java.lang.Integer)(-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(i4);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test367"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)true, "on", "on", "yes");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "on"+ "'", str4.equals("on"));

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test368"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("", "on", "yes", "on");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test369"); }


    java.lang.Integer i0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject(i0, (java.lang.Integer)(-1), (java.lang.Integer)(-1), (java.lang.Integer)0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test370"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("yes", "on", "on", "no");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test371"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("true", "", "", "true");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(b4);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test372"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)true, "no", "off", "true");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "no"+ "'", str4.equals("no"));

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test373"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("", "yes", "true", "no");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test374"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("hi!", "false", "on", "hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(b4);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test375"); }


    java.lang.Integer i0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject(i0, (java.lang.Integer)10, (java.lang.Integer)(-1), (java.lang.Integer)100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test376"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("yes", "off", "hi!", "true");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test377"); }


    java.lang.Boolean b0 = null;
    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString(b0, "true", "hi!", "on");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "on"+ "'", str4.equals("on"));

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test378"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("false", "false", "off", "true");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + true+ "'", b4.equals(true));

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test379"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)true, "hi!", "on", "yes");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test380"); }


    java.lang.Integer i3 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)(-1), (java.lang.Integer)0, (java.lang.Integer)100, i3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test381"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((-1), 10, 100, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test382"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)1, (java.lang.Integer)10, (java.lang.Integer)0, (java.lang.Integer)(-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test383"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("true", "hi!", "true", "no");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test384"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("on", "hi!", "true", "yes");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test385"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("false", "on", "false", "off");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test386"); }


    java.lang.Integer i0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject(i0, (java.lang.Integer)10, (java.lang.Integer)1, (java.lang.Integer)0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test387"); }


    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.lang.BooleanUtils.toBoolean("hi!", "no", "yes");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test388"); }


    java.lang.Integer i1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)100, i1, (java.lang.Integer)1, (java.lang.Integer)0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test389"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("yes", "hi!", "", "hi!");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test390"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("", "on", "yes", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(b4);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test391"); }


    java.lang.Boolean b0 = null;
    java.lang.Integer i4 = org.apache.commons.lang.BooleanUtils.toIntegerObject(b0, (java.lang.Integer)0, (java.lang.Integer)0, (java.lang.Integer)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + i4 + "' != '" + 0+ "'", i4.equals(0));

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test392"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("false", "", "false", "off");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test393"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)true, "off", "", "on");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "off"+ "'", str4.equals("off"));

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test394"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("off", "", "off", "true");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test395"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("hi!", "", "hi!", "no");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test396"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("", "hi!", "hi!", "false");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test397"); }


    java.lang.Integer i3 = null;
    java.lang.Integer i4 = org.apache.commons.lang.BooleanUtils.toIntegerObject((java.lang.Boolean)false, (java.lang.Integer)100, (java.lang.Integer)100, i3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + i4 + "' != '" + 100+ "'", i4.equals(100));

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test398"); }


    java.lang.Integer i2 = null;
    java.lang.Integer i3 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)(-1), (java.lang.Integer)100, i2, i3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test399"); }


    java.lang.Integer i0 = null;
    java.lang.Integer i1 = null;
    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject(i0, i1, (java.lang.Integer)100, (java.lang.Integer)10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + true+ "'", b4.equals(true));

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test400"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("off", "true", "", "hi!");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test401"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("true", "on", "false", "");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test402"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)true, "false", "yes", "true");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "false"+ "'", str4.equals("false"));

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test403"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject(1, 100, 100, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test404"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("true", "", "", "no");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test405"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("yes", "true", "no", "");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test406"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("no", "yes", "off", "false");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test407"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("on", "on", "yes", "true");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + true+ "'", b4.equals(true));

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test408"); }


    java.lang.Integer i2 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)1, (java.lang.Integer)0, i2, (java.lang.Integer)0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test409"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)false, "on", "on", "false");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "on"+ "'", str4.equals("on"));

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test410"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("true", "on", "", "false");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test411"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("off", "", "yes", "hi!");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test412"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject(100, 10, 100, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test413"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("true", "off", "on", "yes");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test414"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("off", "on", "no", "hi!");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test415"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)1, (java.lang.Integer)0, (java.lang.Integer)100, (java.lang.Integer)0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test416"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("yes", "true", "on", "");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test417"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("hi!", "yes", "on", "hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(b4);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test418"); }


    java.lang.Integer i0 = null;
    java.lang.Integer i1 = null;
    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject(i0, i1, (java.lang.Integer)100, (java.lang.Integer)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + true+ "'", b4.equals(true));

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test419"); }


    java.lang.Boolean b0 = null;
    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString(b0, "true", "on", "true");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "true"+ "'", str4.equals("true"));

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test420"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("true", "", "yes", "hi!");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test421"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("", "", "", "yes");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + true+ "'", b4.equals(true));

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test422"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject(10, (-1), 10, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test423"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)false, "false", "false", "on");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "false"+ "'", str4.equals("false"));

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test424"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("no", "false", "true", "no");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(b4);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test425"); }


    java.lang.Boolean b0 = null;
    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString(b0, "", "hi!", "on");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "on"+ "'", str4.equals("on"));

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test426"); }


    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.lang.BooleanUtils.toBoolean("yes", "no", "hi!");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test427"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("", "no", "hi!", "off");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test428"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("false", "yes", "false", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test429"); }


    java.lang.Boolean b0 = null;
    java.lang.Integer i4 = org.apache.commons.lang.BooleanUtils.toIntegerObject(b0, (java.lang.Integer)1, (java.lang.Integer)100, (java.lang.Integer)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + i4 + "' != '" + 1+ "'", i4.equals(1));

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test430"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)10, (java.lang.Integer)(-1), (java.lang.Integer)100, (java.lang.Integer)0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test431"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("true", "no", "true", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test432"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("on", "", "on", "no");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test433"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)true, "off", "true", "false");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "off"+ "'", str4.equals("off"));

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test434"); }


    java.lang.Integer i0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject(i0, (java.lang.Integer)(-1), (java.lang.Integer)0, (java.lang.Integer)0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test435"); }


    java.lang.Boolean b0 = null;
    java.lang.Integer i4 = org.apache.commons.lang.BooleanUtils.toIntegerObject(b0, (java.lang.Integer)(-1), (java.lang.Integer)100, (java.lang.Integer)(-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + i4 + "' != '" + (-1)+ "'", i4.equals((-1)));

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test436"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)false, "off", "off", "false");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "off"+ "'", str4.equals("off"));

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test437"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject(1, 10, 1, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test438"); }


    java.lang.Integer i0 = null;
    java.lang.Integer i2 = null;
    java.lang.Integer i3 = null;
    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject(i0, (java.lang.Integer)(-1), i2, i3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test439"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("false", "", "off", "yes");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test440"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)true, "hi!", "off", "hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test441"); }


    java.lang.Boolean b0 = null;
    java.lang.Integer i1 = null;
    java.lang.Integer i4 = org.apache.commons.lang.BooleanUtils.toIntegerObject(b0, i1, (java.lang.Integer)1, (java.lang.Integer)(-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + i4 + "' != '" + (-1)+ "'", i4.equals((-1)));

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test442"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("on", "true", "", "off");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test443"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("false", "false", "true", "hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + true+ "'", b4.equals(true));

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test444"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("yes", "true", "", "true");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test445"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("no", "", "true", "hi!");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test446"); }


    java.lang.Integer i3 = null;
    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)0, (java.lang.Integer)0, (java.lang.Integer)100, i3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + true+ "'", b4.equals(true));

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test447"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("no", "false", "on", "on");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test448"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("yes", "false", "yes", "off");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test449"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("true", "no", "yes", "no");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test450"); }


    java.lang.Boolean b0 = null;
    int i4 = org.apache.commons.lang.BooleanUtils.toInteger(b0, 10, 0, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test451"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("", "false", "off", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(b4);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test452"); }


    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.lang.BooleanUtils.toBoolean("false", "hi!", "hi!");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test453"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("on", "no", "on", "on");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test454"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)1, (java.lang.Integer)1, (java.lang.Integer)10, (java.lang.Integer)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + true+ "'", b4.equals(true));

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test455"); }


    java.lang.Integer i1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)(-1), i1, (java.lang.Integer)10, (java.lang.Integer)0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test456"); }


    java.lang.Boolean b0 = null;
    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString(b0, "on", "on", "false");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "false"+ "'", str4.equals("false"));

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test457"); }


    java.lang.Boolean b0 = null;
    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString(b0, "false", "false", "false");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "false"+ "'", str4.equals("false"));

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test458"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("", "", "hi!", "false");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + true+ "'", b4.equals(true));

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test459"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)true, "false", "false", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "false"+ "'", str4.equals("false"));

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test460"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("false", "false", "false", "");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + true+ "'", b4.equals(true));

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test461"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("hi!", "on", "true", "no");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test462"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("off", "no", "on", "false");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test463"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("", "yes", "hi!", "off");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test464"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("yes", "true", "yes", "false");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test465"); }


    java.lang.Integer i3 = null;
    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)(-1), (java.lang.Integer)10, (java.lang.Integer)(-1), i3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test466"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("true", "yes", "false", "yes");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test467"); }


    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.lang.BooleanUtils.toBoolean("hi!", "on", "yes");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test468"); }


    java.lang.Boolean b0 = null;
    int i4 = org.apache.commons.lang.BooleanUtils.toInteger(b0, (-1), 0, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test469"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("no", "yes", "true", "false");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test470"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("", "no", "off", "true");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test471"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("hi!", "", "off", "yes");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test472"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("no", "false", "", "yes");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test473"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("yes", "", "false", "hi!");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test474"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("yes", "false", "", "true");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test475"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("on", "hi!", "false", "");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test476"); }


    java.lang.Integer i1 = null;
    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)1, i1, (java.lang.Integer)(-1), (java.lang.Integer)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(b4);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test477"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)(-1), (java.lang.Integer)0, (java.lang.Integer)1, (java.lang.Integer)10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test478"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("", "", "off", "yes");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + true+ "'", b4.equals(true));

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test479"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("hi!", "false", "", "yes");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test480"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("no", "true", "hi!", "no");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(b4);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test481"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("false", "hi!", "hi!", "off");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test482"); }


    java.lang.Integer i0 = null;
    java.lang.Integer i2 = null;
    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject(i0, (java.lang.Integer)(-1), i2, (java.lang.Integer)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test483"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("", "hi!", "off", "yes");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test484"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)false, "on", "no", "no");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "no"+ "'", str4.equals("no"));

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test485"); }


    java.lang.Boolean b0 = null;
    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString(b0, "false", "no", "true");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "true"+ "'", str4.equals("true"));

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test486"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("false", "false", "", "no");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + true+ "'", b4.equals(true));

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test487"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("hi!", "true", "", "yes");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test488"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("true", "hi!", "yes", "yes");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test489"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)true, "hi!", "off", "on");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test490"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("false", "", "yes", "yes");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test491"); }


    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString((java.lang.Boolean)true, "true", "on", "off");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "true"+ "'", str4.equals("true"));

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test492"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("true", "false", "true", "off");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test493"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("true", "off", "on", "false");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test494"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("true", "on", "false", "no");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test495"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)1, (java.lang.Integer)(-1), (java.lang.Integer)100, (java.lang.Integer)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(b4);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test496"); }


    java.lang.Boolean b0 = null;
    java.lang.String str4 = org.apache.commons.lang.BooleanUtils.toString(b0, "no", "false", "yes");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "yes"+ "'", str4.equals("yes"));

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test497"); }


    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("false", "", "", "hi!");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test498"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("", "no", "", "true");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test499"); }


    java.lang.Integer i1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject((java.lang.Integer)0, i1, (java.lang.Integer)1, (java.lang.Integer)(-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest12.test500"); }


    java.lang.Boolean b4 = org.apache.commons.lang.BooleanUtils.toBooleanObject("", "off", "", "yes");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + b4 + "' != '" + false+ "'", b4.equals(false));

  }

}
